function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function phone()
if not comend then
     playeffect("phone");
return;end;
return;end;
function gameinput (sender,obj_id,attachedID)
    -- if sender == 100 then

  -- return;end;
  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;  
          if obj_id==33333 then
      BlockCursor(false)
        DeleteElement("gr",124);
        ShowMenu(false);
        frame=0;
        flags.comixstart=true
        comend =true;
        add_free_leaf("comics",22,50);
        set_satelite_leaf("police");
        DoFile(22,50)
        ShowMenu(false);
        flags.all= false;
          return;end;                    
     return;end;
  if sender==100 then
    if flags.comixstart then
    add_free_leaf("comics",22,50);
        set_satelite_leaf("police");
        DoFile(22,50)
        ShowMenu(false);
    return; end;
    if flags.comx then
    speciale_action(2,12121,true);
    add_free_leaf("map23",22,101);
    set_satelite_leaf("police");
    DoFile(22,101)
    flags.comx= false;
    flags.comx1= true;
  return;end;
  if flags.collected  then
  flags.collected= false
    CreateWindow(150,250,"201",11011,nil,250,30); 
  return; end;
  return; end;
  if sender==12 then
  -- WriteToConsole("12")
      if flags.all then
        if last_id==obj_id then
        flags.collected = true;
        WaitRender()
        return;end;
      end;
  return;end;
  

if sender==26 then
  if obj_id==11011 then 
    StartTimer(33333,0.4)
    BlockCursor(true)
  return; end;
  if obj_id==5 then 
    flags.levelcomplete=true;
    DarkScreen(true);
    ShowMenu(false)
  return; end;
return; end;
  if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
    return;end;     
    if obj_id==503 then --название уровня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале уровня ----
      ShowMenu(true);
      savegame(SaveLevel());
       --CreateWindow(150,250,"266");               
      ------
    return;end;
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
    last_id=obj_id;
      if attachedID == -1 then
            if obj_id==501 then
  --        if whole_darkness then
        if flags.levelcomplete then
          delete_tree_leaf("Root","police");-- Добавляет лист в дерево 
          setnextlavel(23);
          loadlavel();
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);
      return;end;                
      if  obj_id==46 then
      if (not flags.minicomplete21) then
        playeffect("29");
        --setcurentleaf("mini",0,1);
        add_free_leaf("Root","mini21",0,31);-- Добавляет чистый лист
        set_satelite_leaf("police");
        DoFile(0,31)
        mini_create();
        flags.nohints=true;
      return; end;
      return; end;  
      
      if obj_id > 0 and obj_id < 200 and attachedID == -1 then --кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end
      return; end;
  return; end;

  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;
  

-----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==4 then
  -- WriteToConsole("4")
  flags.all=true;  
  -- CreateWindow(150,250,"201",11011,nil,250,30);  
  -- --playeffect("01");
  return; end;  
------------------------------------------------------------------------------------------------------------------  
  
end
function SelectRandom()
  idObject=GetRandomObject();
  if flags.all  then
     if (not flags.minicomplete21)  then
      selectrandomobject(1.5,46);
     return; end;
  return; end;
  selectrandomobject(1.5,idObject);
end;
function SelectRandomRadar(idObject)

  selectrandomobject(1.5,idObject);
end;
